API Explorer 935 endpoints

Get My Mentions

GET /obp/v7.0.0/users/current/mentions

OBPv6.0.0-getMyMentions No role required Chat

Get messages where the current user is mentioned. Supports limit and offset query parameters.

Authentication is Required

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

JSON response body fields (17)
chat_message_id
chat_message_id
chat_room_id
chat_room_id
content
content
created_at
created_at
is_deleted
is_deleted
mentioned_user_ids
mentioned_user_ids
message_type
message_type
messages
reactions
reactions
reply_to_message_id
reply_to_message_id
sender_consumer_id
sender_consumer_id
sender_consumer_name
sender_consumer_name
sender_provider
sender_provider
sender_user_id
sender_user_id
sender_username
sender_username
thread_id
thread_id
updated_at
updated_at
Example success response
{
  "messages": [
    {
      "chat_message_id": "msg-id-123",
      "chat_room_id": "chat-room-id-123",
      "sender_user_id": "user-id-456",
      "sender_consumer_id": "",
      "sender_username": "robert.x.0.gh",
      "sender_provider": "https://github.com",
      "sender_consumer_name": "My Banking App",
      "content": "Hey @user-id-123, check this out!",
      "message_type": "text",
      "mentioned_user_ids": [
        "user-id-123"
      ],
      "reply_to_message_id": "",
      "thread_id": "",
      "is_deleted": false,
      "created_at": "2026-10-21T01:45:41Z",
      "updated_at": "2026-10-21T01:45:41Z",
      "reactions": []
    }
  ]
}
Possible errors (2)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-50000: Unknown Error.
Implemented by OBPv6.0.0 getMyMentions Originally /obp/v6.0.0/users/current/mentions